OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000058OMNeT++IDE / sequence chartpublic2009-04-01 15:342010-01-05 10:57
Reporterjeromerousselot 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.1 
Summary0000058: not enough feedback on failure to attach vector to a module line
DescriptionSometimes I can not attach a vector to a module in the sequence chart.

There are different cases:

* the dialog box appears, with the right vector, but the "OK" button is greyed.
* the dialog box does not appear and I get back to eclipse.

I can imagine that there is something wrong with the vectors, but if I don't have an error message it is rather difficult to fix the problem.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000152)
levy (developer)
2009-06-08 12:03

We need the eventlog file and the vector file to figure out what is the exact problem. It would be also good to have the Eclipse log file at $WORKSPACE_ROOT/.metadata/.log

Attaching a vector file can sometimes be done unambiguousl. In this case the IDE will not ask anything from the user, which in turn might cause confusion. The attachment process always ends with an error dialog, or by attaching the vector, or by explicit cancellation by the user.
(0000201)
levy (developer)
2010-01-05 10:57

The OK button is grayed out when there are no vectors matching the current filter. The initial filter is the module full path.

The vector file selection dialog now uses the workspace instead of the file system. All exit paths are either by explicit user request (cancel) or bring up a message dialog (in case of an error).

- Issue History
Date Modified Username Field Change
2009-04-01 15:34 jeromerousselot New Issue
2009-04-01 15:34 jeromerousselot Assigned To => levy
2009-06-08 12:03 levy Note Added: 0000152
2009-06-08 12:03 levy Status new => feedback
2010-01-05 10:57 levy Note Added: 0000201
2010-01-05 10:57 levy Status feedback => resolved
2010-01-05 10:57 levy Fixed in Version => 4.1
2010-01-05 10:57 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker